<div id="cover">
    <div class="loader">

    </div>
</div>
<div ng-cloak>
    <div class="scrollbar force-overflow style-4 ">

        <div ng-show="alertModal" class="alert" style="display : block" role="alert"
            ng-class="{success:success,error:error,warning:warning}">
            <span class="pull-right" ng-click="alertModal=false;error=false;success=false;warning=false;"
                aria-label="Close">
                <span aria-hidden="true">&nbsp;&times;</span>
            </span>
            <strong>{{errCode}}</strong> {{errDesc}}
            <br>
            <a ng-show="alertModalError" data-toggle="collapse" data-target="#demo">
                <strong>
                    <u>Error Details</u>
                </strong>
            </a>
            <div ng-show="alertModalError" id="demo" class="collapse">
                <textarea style="width: 100%;" readonly rows="5" cols="50">{{errDtls}}</textarea>
            </div>
        </div>

        <div class="row create-button">
            <div class="col-sm-1 container" style="margin-top: -5pt; margin-top: 9px; margin-left: 23px;">
                <button type="button" class="common-button first-button" data-ng-disabled="disableCreate"
                    data-ng-click="createProductType=true; searchProductType=false; tableData=false;">
                    <span>{{"Create"}} </span>
                </button>
            </div>
            <div class="col-sm-2">
                <h3 class="text-center master-header" style="margin-top: 10pt; margin-left: 400px;">
                    Create/Search Product Type
                </h3>
            </div>
        </div>

        <!-- Create Product Type -->

        <div data-ng-show="createProductType">

            <div class="container-fluid custom-margin-top" ng-class="{'disabled-background' :enableNetwork}">
                <form name="ProductTypeForm" id="newProductType" autocomplete="off">
                    <fieldset>
                        <div class="row">
                            <div class="form-group col-md-6" style="margin-top: 20pt;">
                                <label>Product Type Code</label>

                                <input name="PRODUCTTYPECODE" for-alpha-numeric type="text"
                                    class="form-control input-normal" data-ng-model="AddProductType.PRODUCTTYPECODE"
                                    ng-class="{submitted:ProductTypeForm.submitted}"
                                    title="{{AddProductType.PRODUCTTYPECODE}}" placeholder="GROUPH">

                            </div>

                            <div class="form-group col-md-6" style="margin-top: 20pt;">
                                <label for="PRODUCTTYPEDESCRIPTION" required> Product Type Description </label>

                                <input name="PRODUCTTYPEDESCRIPTION" type="textarea" maxlength="40"
                                    class="form-control input-normal"
                                    data-ng-model="AddProductType.PRODUCTTYPEDESCRIPTION"
                                    ng-class="{submitted:ProductTypeForm.submitted}" placeholder="Group Health"
                                    title="{{AddProductType.PRODUCTTYPEDESCRIPTION}}" data-toggle="modal"
                                    ng-class="{submitted:ProductTypeForm.submitted}" required>
                                <p class="text-error"
                                    data-ng-show="(ProductTypeForm.submitted ||ProductTypeForm.PRODUCTTYPEDESCRIPTION.$touched ) && (ProductTypeForm.PRODUCTTYPEDESCRIPTION.$invalid)">
                                    <span class="glyphicon glyphicon-warning-sign incorrect"></span>Please enter
                                    product description </p>

                            </div>

                        </div>

                        <div class="row">
                            <div class="button-container-right custom-padding-right ">
                                <div class="pull-right button-right-margin">
                                    <button type="button" class="common-button first-button"
                                        data-ng-click="saveProductType()">Submit</button>
                                    <button type="button" class="common-button second-button"
                                        data-ng-click="reset()">Return</button>
                                </div>
                            </div>
                        </div>


                    </fieldset>


                </form>

            </div>
        </div>

        <!--Create Product Type Ends Here-->

        <!-- Product Type Search -->

        <div data-ng-show="searchProductType">

            <div class="container-fluid custom-margin-top" ng-class="{'disabled-background' :enableNetwork}">
                <form name="ProductTypeSearchForm" id="ProductTypeSearch" autocomplete="off">
                    <fieldset>
                        <div class="row">

                            <div class="form-group col-md-6" style="margin-top: 20pt;">
                                <label for="PRODUCTTYPECODE" required>Product Type Code</label>

                                <input name="PRODUCTTYPECODE" for-alpha-numeric type="text"
                                    class="form-control input-normal" data-ng-model="ProductTypeSearch.PRODUCTTYPECODE"
                                    ng-class="{submitted:ProductTypeSearchForm.submitted}"
                                    title="{{ProductTypeSearch.PRODUCTTYPECODE}}" placeholder="GROUPH" ng-required="true">
                                <p class="text-error"
                                    data-ng-show="(ProductTypeSearchForm.submitted ||ProductTypeSearchForm.PRODUCTTYPECODE.$touched ) && (ProductTypeSearchForm.PRODUCTTYPECODE.$invalid)">
                                    <span class="glyphicon glyphicon-warning-sign incorrect"></span>Please enter
                                    product type code </p>

                            </div>

                            <div class="form-group col-md-6" style="margin-top: 20pt;">
                                <label for="PRODUCTTYPEDESCRIPTION"> Product Type Description </label>

                                <input name="PRODUCTTYPEDESCRIPTION" type="textarea" maxlength="40"
                                    class="form-control input-normal"
                                    data-ng-model="ProductTypeSearch.PRODUCTTYPEDESCRIPTION"
                                    ng-class="{submitted:ProductTypeSearchForm.submitted}" placeholder="Group Health"
                                    title="{{ProductTypeSearch.PRODUCTTYPEDESCRIPTION}}" data-toggle="modal"
                                    ng-class="{submitted:ProductTypeSearchForm.submitted}">
                                <p class="text-error"
                                    data-ng-show="(ProductTypeSearchForm.submitted ||ProductTypeSearchForm.PRODUCTTYPEDESCRIPTION.$touched ) && (ProductTypeSearchForm.PRODUCTTYPEDESCRIPTION.$invalid)">
                                    <span class="glyphicon glyphicon-warning-sign incorrect"></span>Please enter
                                    product description </p>

                            </div>

                        </div>

                        <div class="row">
                            <div class="button-container-right custom-padding-right ">
                                <div class="pull-right button-right-margin">
                                    <button type="button" class="common-button first-button"
                                        data-ng-click="getProductTypeData()">Search</button>
                                    <button type="button" class="common-button second-button"
                                        data-ng-click="reset()">Cancel</button>
                                </div>
                            </div>
                        </div>
                    </fieldset>
                </form>
            </div>
        </div>

        <!-- Product Type Search Ends Here-->

        <!-- Showing Product Type Search table -->

        <div class="row">
            <div class="table-responsive col-sm-12 force-overflow style-4"
                ng-show=" ProductTypeList.length > 0 || tableData">
                <table class="table table-bordered table-striped custom-table" cellpadding="0" cellspacing="0"
                    border="0">
                    <thead class="custom-table-header">
                        <tr>

                            <th> S.No.</th>

                            <th> Product Type Code </th>

                            <th> Product Type Description</th>


                        </tr>
                    </thead>
                    <tbody>

                        <tr data-ng-repeat="rd in ProductTypeList ">
                            <td>{{(currentPosition-1)*5 + $index + 1}}</td>
                            <td title="{{rd.PRODUCTTYPECODE}}">
                                {{rd.PRODUCTTYPECODE}}</td>
                            <td title="{{rd.PRODUCTTYPEDESCRIPTION">
                                {{rd.PRODUCTTYPEDESCRIPTION | limitTo: 30 }}{{rd.PRODUCTTYPEDESCRIPTION.length > 30 ? '...' :''}}</td>
                        </tr>
                        <tr ng-show=" tableData">
                            <td colspan="11" class="input-empty"> No records Found !! </td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <div class="col-sm-12">
                <div class="pull-left " ng-show="totalPages > 0">
                    <label></label>

                    <span class="">
                        <b>Showing {{(currentPosition-1) * 5 + 1}} - {{(currentPosition-1) * 5 + 5
                            < resultCount ? (currentPosition-1) * 5 + 5 :resultCount}} of {{resultCount}} records
                        </b>
                    </span>
                </div>
                <div class="pull-right" ng-show="totalPages > 0">
                    <div class="shift-right">
                        <a href="#" ng-click="getProductTypeSearchData(totalPages)"
                            ng-class="{'not-active' : currentPosition == totalPages}">
                            <span class="glyphicon glyphicon-forward"></span>
                        </a>
                    </div>

                    <div class="shift-right">
                        <a href="#" ng-click="getProductTypeSearchData(currentPosition+1)"
                            ng-class="{'not-active' : currentPosition == totalPages}">
                            <span class="glyphicon glyphicon-chevron-right"></span>
                        </a>
                    </div>
                    <div class="shift-right" ng-hide="currentPosition + 1 >=totalPages || totalPages <=3">
                        <span>... </span>
                        <a href="#" ng-click="getProductTypeSearchData(totalPages)"
                            ng-class="{'not-active' : currentPosition == totalPages}">
                            <span>{{totalPages}}</span>
                        </a>
                    </div>

                    <div class="shift-right" ng-hide="nextPage == 0"
                        ng-class="{'pag-active' : totalPages == currentPosition}">
                        <a href="#" ng-click="getProductTypeSearchData(nextPage)">
                            <span>{{nextPage}}</span>
                        </a>
                    </div>

                    <div class="shift-right"
                        ng-class="{'pag-active' : !((totalPages == currentPosition && currentPosition != 2) ||(currentPosition == 1 && totalPages > 2))}">
                        <a href="#" ng-click="getProductTypeSearchData(middlePage)">
                            <span>{{middlePage}}</span>
                        </a>
                    </div>

                    <div class="shift-right" ng-hide="previousPage == 0"
                        ng-class="{'pag-active' : currentPosition == 1}">
                        <a href="#" ng-click="getProductTypeSearchData(previousPage)">
                            <span>{{previousPage}}</span>
                        </a>
                    </div>
                    <div class="shift-right" ng-show="currentPosition > 2 && totalPages > 3">

                        <a href="#" ng-click="getProductTypeSearchData(1)">
                            <span>1</span>
                        </a>
                        <span> ...</span>
                    </div>

                    <div class="shift-right">
                        <a href="#" ng-click="getProductTypeSearchData(currentPosition-1)"
                            ng-class="{'not-active' : currentPosition == 1}">
                            <span class="glyphicon glyphicon-chevron-left"></span>
                        </a>
                    </div>

                    <div class="shift-right">
                        <a href="#" ng-click="getProductTypeSearchData(1)"
                            ng-class="{'not-active' : currentPosition == 1}">
                            <span class="glyphicon glyphicon-backward"></span>
                        </a>
                    </div>
                </div>
            </div>

        </div>

        <!-- Closing Product Type Search table -->
    </div>
</div>